package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205common;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205Creator;

public class Tag72Creator extends AbsTagCreate {
    private MT205Creator mt205Creator;

    public Tag72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205Creator = (MT205Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt205Creator.getSendertoReceiverInformation();
        mt205Creator.set("72",tag72Value);
    }
}
